/* Copyright(C) 2014 Cobac.Net All rights reserved. */
/* p^[\HiZedBoardpj*/

module pattern(
    input                   clk,
    input                   reset,
    output                  vga_hs,
    output                  vga_vs,
    output  reg     [4:1]   vga_r,
    output  reg     [4:1]   vga_g,
    output  reg     [4:1]   vga_b
);

/* VGA(640~480)p[^ */
localparam HSC = 10'd800;
localparam HFP = 10'd16;
localparam HPW = 10'd96;
localparam HBP = 10'd48;

localparam VSC = 10'd525;
localparam VFP = 10'd10;
localparam VPW = 10'd2;
localparam VBP = 10'd33;

localparam HSIZE = 10'd80;
localparam VSIZE = 10'd120;

/* MH̐ڑ */
wire            pck;
wire    [9:0]   hcnt, vcnt;

syncgen syncgen(
    .clk    (clk),
    .reset  (reset),
    .pck    (pck),
    .vga_hs (vga_hs),
    .vga_vs (vga_vs),
    .hcnt   (hcnt),
    .vcnt   (vcnt)
);

/* RGBo͂쐬 */
wire disp_enable = (HFP+HPW+HBP-10'd1 <= hcnt) && (hcnt < HSC-10'd1)
                && (VFP+VPW+VBP <= vcnt);
wire [2:0] rgb_0 = (hcnt-HFP-HPW-HBP+10'd1)/HSIZE;
wire [2:0] rgb_1 = (((vcnt-VFP-VPW-VBP)/VSIZE)&1)==0 ? 3'd7-rgb_0: rgb_0;

always @( posedge pck ) begin
    if ( reset )
        {vga_r, vga_g, vga_b} <= 12'h000;
    else if ( disp_enable )
        {vga_r, vga_g, vga_b} <= { {4{rgb_1[2]}}, {4{rgb_1[1]}}, {4{rgb_1[0]}} };
    else
        {vga_r, vga_g, vga_b} <= 12'h000;
end

endmodule
